---
layout: handbook-page-toc
title: Development Department Career Framework
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Development Department Career Framework

<%= partial("handbook/engineering/career-development/matrix/engineering/engineering_career_matrix_nav.erb") %>

These are the expected competencies of team members at GitLab by Job Title and job grade.

- Engineer
    - [Intermediate](/handbook/engineering/career-development/matrix/engineering/development/intermediate/)
    - [Senior](/handbook/engineering/career-development/matrix/engineering/development/senior/)
    - [Staff](/handbook/engineering/career-development/matrix/engineering/development/staff/)
    - [Principal](/handbook/engineering/career-development/matrix/engineering/development/principal/)
- Engineering Manager
    - Frontend, Backend, Fullstack
    - Senior
- Director of Engineering
- Senior Director of Engineering
- Vice President of Development

## Development Sub-departments

- [Dev](/handbook/engineering/career-development/matrix/engineering/development/dev/)
- [Core Platform](/handbook/engineering/career-development/matrix/engineering/infrastructure/core-platform/)
- <span class="colour" style="color: rgb(51, 51, 51);">Fulfillment</span>
- Growth
- Ops
- Govern
- Secure
